Table of Contents

## Name

XmbTextEscapement, XwcTextEscapement, Xutf8TextEscapement - obtain the escapement of text

## Syntax

int XmbTextEscapement(XFontSet font_set, char *string, int
  num_bytes);
int XwcTextEscapement(XFontSet font_set, wchar_t *string,
  int num_wchars);
int Xutf8TextEscapement(XFontSet font_set, char *string,
  int num_bytes);

## Arguments

font_set
  Specifies the font set.
num_bytes
  Specifies the number of bytes in the string argument.
num_wchars
  Specifies the number of characters in the string argument.
string
  Specifies the character string.

## Description

The XmbTextEscapement, XwcTextEscapement and Xutf8TextEscapement functions return the escapement in pixels of the specified string as a value, using the fonts loaded for the specified font set. The escapement is the distance in pixels in the primary draw direction from the drawing origin to the origin of the next character to be drawn, assuming that the rendering of the next character is not dependent on the supplied string.

Regardless of the character rendering order, the escapement is always positive.

The function Xutf8TextEscapement is an extension introduced by The XFree86 Project, Inc. in their 4.0.2 release. Its presence is indicated by the macro X_HAVE_UTF8_STRING.

## See Also

XmbTextExtents(3X11) , XmbTextPerCharExtents(3X11) Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also